#! /bin/sh
# chkconfig: 2345 80 01
# description: Payara App Server
set -e

ASADMIN=/usr/local/payara5/bin/asadmin
APP_SERVER_USER=dataverse

case "$1" in
  start)
        echo -n "Starting Payara"
        # Increase file descriptor limit:
        ulimit -n 32768
        # Allow "memory overcommit":
        # (basically, this allows to run exec() calls from inside the
        # app, without the Unix fork() call physically hogging 2X
        # the amount of memory Payara is already using)
        echo 1 > /proc/sys/vm/overcommit_memory
	LANG=en_US.UTF-8; export LANG

        sudo -u $APP_SERVER_USER $ASADMIN start-domain domain1
        ;;
  stop)
        echo -n "Stopping Payara"

        sudo -u $APP_SERVER_USER $ASADMIN stop-domain domain1
        echo "."
         ;;
  *)
        echo "Usage: /etc/init.d/payara {start|stop}"

        exit 1
esac
exit 0
